{{!
    This file is part of Moodle - http://moodle.org/

    Moodle is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Moodle is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
}}
{{!
    @template theme_boost/columns2

    Admin time setting template.

    Boost 2 column layout template.

    Context variables required for this template:
    * sitename - The name of the site
    * output - The core renderer for the page
    * bodyattributes - attributes for the body tag as a string of html attributes
    * sidepreblocks - HTML for the blocks
    * hasblocks - true if there are blocks on this page
    * navdraweropen - true if the nav drawer should be open on page load
    * regionmainsettingsmenu - HTML for the region main settings menu
    * hasregionmainsettingsmenu - There is a region main settings menu on this page.

    Example context (json):
    {
        "sitename": "Moodle",
        "output": {
            "doctype": "<!DOCTYPE html>",
            "page_title": "Test page",
            "favicon": "favicon.ico",
            "main_content": "<h1>Headings make html validators happier</h1>"
         },
        "bodyattributes":"",
        "sidepreblocks": "<h2>Blocks html goes here</h2>",
        "hasblocks":true,
        "navdraweropen":true,
        "regionmainsettingsmenu": "",
        "hasregionmainsettingsmenu": false
    }
}}
{{> theme_boost/head }}

<body {{{ bodyattributes }}}>

<div id="page-wrapper">

    {{{ output.standard_top_of_body_html }}}

    {{>theme_boost/navbar}}

    <div id="page" class="container-fluid">
        {{{ output.full_header }}}

        <div id="page-content" class="row ">
            <div id="region-main-box" class="col-12 ">
                {{#hasregionmainsettingsmenu}}
                <div id="region-main-settings-menu" class="d-print-none  {{#hasblocks}}has-blocks{{/hasblocks}}">
                    <div> {{{ output.region_main_settings_menu }}} </div>
                </div>
                {{/hasregionmainsettingsmenu}}
                <section id="region-main" {{#hasblocks}}class="has-blocks mb-3 "{{/hasblocks}}>
                    <div class="card ">
                        <div class="card-body">
                            {{#hasregionmainsettingsmenu}}
                                <div class="region_main_settings_menu_proxy"></div>
                            {{/hasregionmainsettingsmenu}}

                            <div class="card-deck">
                              <div class="card">
                                <img src="{{{icon_convalidacion}}}" class="card-img-top" alt="Convalidaciones" title="Convalidaciones" style="width:100px;">
                                <div class="card-body">
                                  <h5 class="card-title"><strong>CONVALIDACIONES</strong></h5>
                                  <p class="card-text">Gestionar una solicitud de ficha convalidación, validación y seguimiento. Aprobación de convalidaciones, gestión de procedencias, carreas y cursos.</p>
                                  <a href="/local/convalidacion" class="btn btn-primary">Entrar</a>
                                </div>
                              </div>
                              <div class="card">
                                <img src="{{{icon_curricula}}}" class="card-img-top" alt="Gestión malla curricular" title="Gestión malla curricular" style="width:100px;">
                                <div class="card-body">
                                    <h5 class="card-title"><strong>CAMBIOS EN LOS PROGRAMAS</strong></h5>
                                    <p class="card-text">Gestionar las solicitudes de creación y modificaciones de mallas curriculares. Flujo de construcción, aprobación y publicación.</p>
                                    <a href="/local/curricula" class="btn btn-primary">Entrar</a>
                                </div>
                              </div>
                            </div>
                            <br>
                            <div class="card-deck">
                              <div class="card">
                                <img src="{{{icon_programacion}}}" class="card-img-top" alt="Programación" title="Programación" style="width:100px;">
                                <div class="card-body">
                                  <h5 class="card-title"><strong>CONTROL DE REPROGRAMACIONES - TABLA MADRE</strong></h5>
                                  <p class="card-text">Seguimiento de horas pendientes de dictado y ajuste de horas reportadas en la encuesta que requieren control de cambios.</p>
                                  <a href="/local/programacion" class="btn btn-primary">Entrar</a>
                                </div>
                              </div>
                            </div>

                            {{{ output.course_content_header }}}
                            {{{ output.main_content }}}
                            {{{ output.activity_navigation }}}
                            {{{ output.course_content_footer }}}                           
                        </div>
                    </div>
                </section>
                {{#hasblocks}}
                <section data-region="blocks-column" class="d-print-none">
                    {{{ sidepreblocks }}}
                </section>
                {{/hasblocks}}
            </div>
        </div>
    </div>
    {{> theme_boost/nav-drawer }}
</div>

{{> theme_boost/footer }}

</body>
</html>
{{#js}}
require(['theme_boost/loader']);
require(['theme_boost/drawer'], function(mod) {
    mod.init();
});
{{/js}}
